import React from 'react';
import PropTypes from 'prop-types';
import {
  Route,
  Router,
} from '@components';
import Home from './Views/Home';
import Help from './Views/Help';
import Settings from './Views/Settings';
import WalletDetails from './Views/WalletDetails';
import SeedPhrase from './Views/SeedPhrase';
import Deposit from './Views/Deposit';
// import Swap from './Views/Swap';
import Send from './Views/Send';
import Contacts from './Views/Contacts';
import AddToken from './Views/AddToken';
import ExportIdentity from './Views/ExportIdentity';
import Login from './Views/Login';
import ErrorScreen from './Views/Error';
import NFTDetails from './Views/NFTDetails';
import SendNFT from './Views/SendNFT';

const Popup = ({ initialRoute }) => (
  <Router initialRouteName={initialRoute}>
    <Route name="login" component={Login} />
    <Route name="home" component={Home} />
    <Route name="help" component={Help} />
    <Route name="settings" component={Settings} />
    <Route name="wallet-details" component={WalletDetails} />
    <Route name="seed-phrase" component={SeedPhrase} />
    <Route name="deposit" component={Deposit} />
    {/* <Route name="swap" component={Swap} /> */}
    <Route name="send" component={Send} />
    <Route name="contacts" component={Contacts} />
    <Route name="error" component={ErrorScreen} />
    <Route name="add-token" component={AddToken} />
    <Route name="export-identity" component={ExportIdentity} />
    <Route name="nft-details" component={NFTDetails} />
    <Route name="send-nft" component={SendNFT} />
  </Router>
);

Popup.propTypes = {
  initialRoute: PropTypes.string.isRequired,
};

export default Popup;
